Bug 38441 - OLE: broken SAFEARRAY VType (oleautobridge.uno.dll)
Summary: OLE: broken SAFEARRAY VType (oleautobridge.uno.dll)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: high major
Assignee: Noel Power
QA Contact:
URL:
Whiteboard: target:3.6.0 target:3.5.1 target:3.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 07:58 UTC by Oliver Brinzing
Modified: 2013-11-24 21:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This project works with OOo 3.2.0, fail with OOo 3.3.0 and LibreOffice 3.4.3 (3.38 KB, application/x-7z-compressed)
2011-09-23 09:23 UTC, Arnaud D
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Oliver Brinzing 2011-07-27 02:33:24 UTC
bug still present in lo3.4.2rc2, it breaks OLE compatiblity for methods returning ARRAYs
Comment 2 Petr Mladek 2011-07-27 07:28:57 UTC
This is old bug in less common functionality => can't block the release => lovering severity
Comment 3 Arnaud D 2011-09-23 09:23:50 UTC
Created attachment 51550 [details]
This project works with OOo 3.2.0, fail with OOo 3.3.0 and LibreOffice 3.4.3

This is a simple VB6 project that opens a Modele.doc file, and change the colum size of the table in the document.

It works fine with OpenOffice 3.2.0, It fails with OOo 3.3.x and LibreOffice 3.4.3
Comment 4 Arnaud D 2011-09-23 09:27:36 UTC
@Petr Mladek

If that's an old and not severe bug, explain me then how to resize Columns in OOo 3.3.x or LibO 3.4.x ? it does 3 days I pull my hair on this without luck, this was not me finally but a bug on your end you don't want to fixe.
Comment 5 Petr Mladek 2011-10-06 07:32:22 UTC
I never said that we do not want to fix it. I added Noel into CC who has the capabilities to fix it. Though, I am not sure how he is busy with other important work.

I want to set the severity and priority correctly. The bug has been there for a year and only two people complained about it. I understand that the bug is really annoying for you but there are many bugs that are annoying for bigger groups of people. The number of developers is limited and we can't fix all bugs immediately.

The bug does not affect 99.99% of users, so it can't block the release!
Comment 6 Arnaud D 2011-10-07 00:46:16 UTC
Thank you Peter for the reply, I understand we are almost in the same situation here with our product but with far less users than you.

Could you tell if we are doing it wrong ; Is it the only known method for changing the column size of a table in Writer from a third party application ?

Let me explain you briefly the type of application we are doing, this is an application for real estate in france, they use our application to generate their official inspection report. We are using MS and LOO APIs to this purpose and it use a lot word replacements and table manipulations with Premade doc models to produce the final doc report they will give to their customers. I think this is called MailMerge in English, maybe we are doing it the old way ? or do we just have to lower the version when it happens ? Because it seems my boss is using a lot this function currently with Ms Word to arrange tables in word doc files but as we are upgrading the compatibility of our product with OOo/LOo we will probably be the 0.01% ;)
Comment 7 Noel Power 2011-10-07 01:32:31 UTC
(In reply to comment #5)
> I added Noel into CC who has the capabilities to fix it. Though, I am not sure > how he is busy with other important work.
I'm afraid I am unsure of my 'capabilities' about this :-), but sure I have looked at some issues in the olebridge before 
> 
> I want to set the severity and priority correctly. The bug has been there for a
> year and only two people complained about it. I understand that the bug is
> really annoying for you but there are many bugs that are annoying for bigger
> groups of people. The number of developers is limited and we can't fix all bugs
> immediately.
Petr is correct, this is no blocker and is an issue we have inherited. I did mean to respond after taking a look at it. Problem is I just haven't had a chance to look at this bug yet so I didn't have anything to say :-/ The other problem is that this is a windows problem and it takes some time ( especially for a linux user e.g. me ) to set up a windows environment and have a suitable build available for debugging etc. As it happens I have a windows build right now so I hope to have a look at this problem next week
Comment 8 N. de Vos 2011-10-13 06:10:21 UTC
(In reply to comment #5)
> I never said that we do not want to fix it. I added Noel into CC who has the
> capabilities to fix it. Though, I am not sure how he is busy with other
> important work.
> 
> I want to set the severity and priority correctly. The bug has been there for a
> year and only two people complained about it. I understand that the bug is
> really annoying for you but there are many bugs that are annoying for bigger
> groups of people. The number of developers is limited and we can't fix all bugs
> immediately.
> 
> The bug does not affect 99.99% of users, so it can't block the release!

To add weight to this bug I will also respond. Our clients are also affected by this bug and are unable to use LibreOffice with our product. We enable our clients to use OpenOffice (and LibreOffice if we could) to write letters and save them in our application.

About severity: this bug is more than annoying: it is blocking and there is no workaround. IMO it completely bricks the oleautomationbridge.

About the number of people complaining: 
1) it is already reported, so why should anyone bother to create a new emailaccount to only post a "me too!" comment? For OpenOffice it is already reported multiple times, see comment #1 and this link: https://issues.apache.org/ooo/show_bug.cgi?id=117885, also see http://www.oooforum.org/forum/viewtopic.phtml?t=121909 http://www.oooforum.org/forum/viewtopic.phtml?t=122280 http://www.oooforum.org/forum/viewtopic.phtml?t=117309 www.oooforum.org/forum/viewtopic.phtml?t=122848 . The only reason I registered is because I get the idea that the LibreOffice developers think to lightly about this bug.
2) not everyone knows about this place

And to be honest:
3) Automation at this level is mostly used in corporate environments, and OOo\lo is not big there in comparison to MS Office. We have hundreds of clients and I think only a handful use OOo\lo and only two of them use it with our product (and 100% of them complained about this bug :) ).
4) Automating OOo is extremely difficult compared to Microsoft Office. The api is hard to use and documentation is hard to find. Furthermore the OLE bridge which enables native coders (C, Delphi) to access LibreOffice seems to be the black sheep of the OOo developers community. For instance the bug https://bugs.freedesktop.org/show_bug.cgi?id=39740 gets highest priority and critical severity, just for a borderline not showing, but this blocker bug is (several times!) downgraded to major.

So when I only have a small amount of customers using our OOo module and I see that lo developers downgrade a blocker bug to major severity, why would I bother to comment? Dropping OOo/lo support is much cheaper and easier. And I'm probably not the only one thinking like this.

Don't take this the wrong way, I find OOo/lo to be a nice product and although the API is very difficult en poorly documented, I still had some fun implementing it. But I just have the feeling that this bug is not taken seriously. Which hinders developers who maintain code that employs the bridge and which causes future developers to walk away.
Comment 9 Arnaud D 2011-10-13 07:49:35 UTC
Thank you N. de Vos for sharing

To let you know all I have recreated the ticket on the new OpenOffice bug report platform here : https://issues.apache.org/ooo/show_bug.cgi?id=118503

I have recreated the ticket because the original ticket https://issues.apache.org/ooo/show_bug.cgi?id=117010 has been marked resolved and fixed, but OOo 3.4beta1 still has this bug.

Since this bug has been copied from the transition OOo => LOO, maybe they will find a fixe which you, dev of LOO, can use as a resource to work from.

Good luck
Comment 10 Noel Power 2011-10-26 07:53:05 UTC
haven't forgotten about this, have started looking at it, what with the libreoffice conference and then catching up after returning only now getting a chance. Hopefully a fix will come soon
Comment 12 Noel Power 2011-10-27 04:16:48 UTC
fixed on 3.4.4 branch too so should be in the next 3.4.4 build ( rc2 I guess )
Comment 13 Not Assigned 2012-02-23 06:57:52 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=985ad082a56cd4bc47cd230e11f1cd771e08f9de

Revert "fix handling of SAFEARRAY(s) returned as variant in olebridge (fdo#38441)"
Comment 14 Not Assigned 2012-02-23 07:11:32 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84a70824e2acbb50728540b4944c4243b6bd8e21&g=libreoffice-3-5

Revert "fix handling of SAFEARRAY(s) returned as variant in olebridge (fdo#38441)"


It will be available in LibreOffice 3.5.2.
Comment 15 Not Assigned 2012-02-23 07:51:22 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-4":

http://cgit.freedesktop.org/libreoffice/components/commit/?id=dcbc2f5417a96b34d2dab7a6ea1e30ce4fb6a8d2&g=libreoffice-3-4

Revert "fix handling of SAFEARRAY(s) returned as variant in olebridge (fdo#38441)"


It will be available in LibreOffice 3.4.6.
Comment 16 Not Assigned 2012-02-24 06:24:15 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=466cb51bc3a27c0ec19d0c841d7376ab2eae3f9a&g=libreoffice-3-5-1

Revert "fix handling of SAFEARRAY(s) returned as variant in olebridge (fdo#38441)"


It will be available already in LibreOffice 3.5.1.